<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="https://smaakraft.no/role/StatementOfComprehensiveIncomeAbstract" xlink:type="simple" xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#StatementOfComprehensiveIncomeAbstract"/>
  <link:roleRef roleURI="https://smaakraft.no/role/StatementOfFinancialPositionAbstract" xlink:type="simple" xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#StatementOfFinancialPositionAbstract"/>
  <link:roleRef roleURI="https://smaakraft.no/role/StatementOfCashFlowsAbstract" xlink:type="simple" xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#StatementOfCashFlowsAbstract"/>
  <link:roleRef roleURI="https://smaakraft.no/role/StatementOfChangesInEquityAbstract" xlink:type="simple" xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#StatementOfChangesInEquityAbstract"/>
  <link:calculationLink xlink:type="extended" xlink:role="https://smaakraft.no/role/StatementOfComprehensiveIncomeAbstract">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="GainsLossesOnChangeInFairValueOfDerivatives" xlink:type="locator" xlink:title="GainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_UnrealizedValueChangeOnEnergyDerivatives" xlink:label="UnrealizedValueChangeOnEnergyDerivatives" xlink:type="locator" xlink:title="UnrealizedValueChangeOnEnergyDerivatives"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_RealizedValueChangeOnEnergyDerivatives" xlink:label="RealizedValueChangeOnEnergyDerivatives" xlink:type="locator" xlink:title="RealizedValueChangeOnEnergyDerivatives"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" xlink:type="locator" xlink:title="ProfitLossFromOperatingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromSaleOfElectricity" xlink:label="RevenueFromSaleOfElectricity" xlink:type="locator" xlink:title="RevenueFromSaleOfElectricity"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:label="OtherIncome" xlink:type="locator" xlink:title="OtherIncome"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:type="locator" xlink:title="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="EmployeeBenefitsExpense" xlink:type="locator" xlink:title="EmployeeBenefitsExpense"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator" xlink:title="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="OtherExpenseByNature" xlink:type="locator" xlink:title="OtherExpenseByNature"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:type="locator" xlink:title="FinanceIncomeCost"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" xlink:type="locator" xlink:title="FinanceIncome"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:label="GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:type="locator" xlink:title="GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:label="GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:type="locator" xlink:title="GainsLossesOnChangeInFairValueOfFinancialDerivatives"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" xlink:type="locator" xlink:title="FinanceCosts"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:type="locator" xlink:title="ProfitLossBeforeTax"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" xlink:title="ProfitLoss"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:title="IncomeTaxExpenseContinuingOperations"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:type="locator" xlink:title="ComprehensiveIncome"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:type="locator" xlink:title="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" xlink:type="locator" xlink:title="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GainsLossesOnChangeInFairValueOfDerivatives" xlink:to="UnrealizedValueChangeOnEnergyDerivatives" xlink:title="Calc: GainsLossesOnChangeInFairValueOfDerivatives to UnrealizedValueChangeOnEnergyDerivatives" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GainsLossesOnChangeInFairValueOfDerivatives" xlink:to="RealizedValueChangeOnEnergyDerivatives" xlink:title="Calc: GainsLossesOnChangeInFairValueOfDerivatives to RealizedValueChangeOnEnergyDerivatives" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="RevenueFromSaleOfElectricity" xlink:title="Calc: ProfitLossFromOperatingActivities to RevenueFromSaleOfElectricity" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherIncome" xlink:title="Calc: ProfitLossFromOperatingActivities to OtherIncome" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Calc: ProfitLossFromOperatingActivities to GainsLossesOnChangeInFairValueOfDerivatives" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="Calc: ProfitLossFromOperatingActivities to ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="EmployeeBenefitsExpense" xlink:title="Calc: ProfitLossFromOperatingActivities to EmployeeBenefitsExpense" order="5.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="Calc: ProfitLossFromOperatingActivities to DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="6.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherExpenseByNature" xlink:title="Calc: ProfitLossFromOperatingActivities to OtherExpenseByNature" order="7.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceIncome" xlink:title="Calc: FinanceIncomeCost to FinanceIncome" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:title="Calc: FinanceIncomeCost to GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:title="Calc: FinanceIncomeCost to GainsLossesOnChangeInFairValueOfFinancialDerivatives" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceCosts" xlink:title="Calc: FinanceIncomeCost to FinanceCosts" order="4.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" xlink:title="Calc: ProfitLossBeforeTax to ProfitLossFromOperatingActivities" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncomeCost" xlink:title="Calc: ProfitLossBeforeTax to FinanceIncomeCost" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossBeforeTax" xlink:title="Calc: ProfitLoss to ProfitLossBeforeTax" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="IncomeTaxExpenseContinuingOperations" xlink:title="Calc: ProfitLoss to IncomeTaxExpenseContinuingOperations" order="2.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" xlink:title="Calc: ComprehensiveIncome to ProfitLoss" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:title="Calc: ComprehensiveIncome to OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" xlink:title="Calc: ComprehensiveIncome to OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" order="3.0" weight="1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://smaakraft.no/role/StatementOfFinancialPositionAbstract">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="NoncurrentAssets" xlink:type="locator" xlink:title="NoncurrentAssets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" xlink:type="locator" xlink:title="IntangibleAssetsOtherThanGoodwill"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="PropertyPlantAndEquipment" xlink:type="locator" xlink:title="PropertyPlantAndEquipment"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="DeferredTaxAssets" xlink:type="locator" xlink:title="DeferredTaxAssets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="InvestmentAccountedForUsingEquityMethod" xlink:type="locator" xlink:title="InvestmentAccountedForUsingEquityMethod"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="NoncurrentDerivativeFinancialAssets" xlink:type="locator" xlink:title="NoncurrentDerivativeFinancialAssets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentReceivables" xlink:label="NoncurrentReceivables" xlink:type="locator" xlink:title="NoncurrentReceivables"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="CurrentAssets" xlink:type="locator" xlink:title="CurrentAssets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:label="Inventories" xlink:type="locator" xlink:title="Inventories"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="CurrentTradeReceivables" xlink:type="locator" xlink:title="CurrentTradeReceivables"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="OtherCurrentReceivables" xlink:type="locator" xlink:title="OtherCurrentReceivables"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="CurrentDerivativeFinancialAssets" xlink:type="locator" xlink:title="CurrentDerivativeFinancialAssets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" xlink:type="locator" xlink:title="CashAndCashEquivalents"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="Assets" xlink:type="locator" xlink:title="Assets"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:title="EquityAttributableToOwnersOfParent"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" xlink:type="locator" xlink:title="IssuedCapital"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdditionalPaidinCapital" xlink:label="AdditionalPaidinCapital" xlink:type="locator" xlink:title="AdditionalPaidinCapital"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:label="OtherReserves" xlink:type="locator" xlink:title="OtherReserves"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="Equity" xlink:type="locator" xlink:title="Equity"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="NoncontrollingInterests" xlink:type="locator" xlink:title="NoncontrollingInterests"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities" xlink:type="locator" xlink:title="NoncurrentLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" xlink:type="locator" xlink:title="DeferredTaxLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="LongtermBorrowings" xlink:type="locator" xlink:title="LongtermBorrowings"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:label="NoncurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:title="NoncurrentDerivativeFinancialLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentLiabilities" xlink:label="OtherNoncurrentLiabilities" xlink:type="locator" xlink:title="OtherNoncurrentLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="CurrentLiabilities" xlink:type="locator" xlink:title="CurrentLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:type="locator" xlink:title="TradeAndOtherCurrentPayablesToTradeSuppliers"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent" xlink:type="locator" xlink:title="CurrentTaxLiabilitiesCurrent"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" xlink:label="CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" xlink:type="locator" xlink:title="CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="CurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:title="CurrentDerivativeFinancialLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ShorttermBorrowings" xlink:type="locator" xlink:title="ShorttermBorrowings"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentLiabilities" xlink:label="OtherCurrentLiabilities" xlink:type="locator" xlink:title="OtherCurrentLiabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="Liabilities" xlink:type="locator" xlink:title="Liabilities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" xlink:type="locator" xlink:title="EquityAndLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="IntangibleAssetsOtherThanGoodwill" xlink:title="Calc: NoncurrentAssets to IntangibleAssetsOtherThanGoodwill" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="PropertyPlantAndEquipment" xlink:title="Calc: NoncurrentAssets to PropertyPlantAndEquipment" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="DeferredTaxAssets" xlink:title="Calc: NoncurrentAssets to DeferredTaxAssets" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentAccountedForUsingEquityMethod" xlink:title="Calc: NoncurrentAssets to InvestmentAccountedForUsingEquityMethod" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentDerivativeFinancialAssets" xlink:title="Calc: NoncurrentAssets to NoncurrentDerivativeFinancialAssets" order="5.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentReceivables" xlink:title="Calc: NoncurrentAssets to NoncurrentReceivables" order="6.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="Inventories" xlink:title="Calc: CurrentAssets to Inventories" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentTradeReceivables" xlink:title="Calc: CurrentAssets to CurrentTradeReceivables" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="OtherCurrentReceivables" xlink:title="Calc: CurrentAssets to OtherCurrentReceivables" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentDerivativeFinancialAssets" xlink:title="Calc: CurrentAssets to CurrentDerivativeFinancialAssets" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CashAndCashEquivalents" xlink:title="Calc: CurrentAssets to CashAndCashEquivalents" order="5.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssets" xlink:title="Calc: Assets to NoncurrentAssets" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentAssets" xlink:title="Calc: Assets to CurrentAssets" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" xlink:title="Calc: EquityAttributableToOwnersOfParent to IssuedCapital" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="AdditionalPaidinCapital" xlink:title="Calc: EquityAttributableToOwnersOfParent to AdditionalPaidinCapital" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="OtherReserves" xlink:title="Calc: EquityAttributableToOwnersOfParent to OtherReserves" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="EquityAttributableToOwnersOfParent" xlink:title="Calc: Equity to EquityAttributableToOwnersOfParent" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="NoncontrollingInterests" xlink:title="Calc: Equity to NoncontrollingInterests" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredTaxLiabilities" xlink:title="Calc: NoncurrentLiabilities to DeferredTaxLiabilities" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="LongtermBorrowings" xlink:title="Calc: NoncurrentLiabilities to LongtermBorrowings" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentDerivativeFinancialLiabilities" xlink:title="Calc: NoncurrentLiabilities to NoncurrentDerivativeFinancialLiabilities" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="OtherNoncurrentLiabilities" xlink:title="Calc: NoncurrentLiabilities to OtherNoncurrentLiabilities" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="Calc: CurrentLiabilities to TradeAndOtherCurrentPayablesToTradeSuppliers" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentTaxLiabilitiesCurrent" xlink:title="Calc: CurrentLiabilities to CurrentTaxLiabilitiesCurrent" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" xlink:title="Calc: CurrentLiabilities to CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentDerivativeFinancialLiabilities" xlink:title="Calc: CurrentLiabilities to CurrentDerivativeFinancialLiabilities" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="ShorttermBorrowings" xlink:title="Calc: CurrentLiabilities to ShorttermBorrowings" order="5.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="OtherCurrentLiabilities" xlink:title="Calc: CurrentLiabilities to OtherCurrentLiabilities" order="6.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="NoncurrentLiabilities" xlink:title="Calc: Liabilities to NoncurrentLiabilities" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="CurrentLiabilities" xlink:title="Calc: Liabilities to CurrentLiabilities" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" xlink:title="Calc: EquityAndLiabilities to Equity" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Liabilities" xlink:title="Calc: EquityAndLiabilities to Liabilities" order="2.0" weight="1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://smaakraft.no/role/StatementOfCashFlowsAbstract">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:type="locator" xlink:title="ProfitLossBeforeTax"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:type="locator" xlink:title="IncomeTaxesPaidClassifiedAsOperatingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator" xlink:title="AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="AdjustmentsForFinanceIncomeCost" xlink:type="locator" xlink:title="AdjustmentsForFinanceIncomeCost"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:label="SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:type="locator" xlink:title="SettlementOfDerivativesClassifiedAsOperatingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:type="locator" xlink:title="AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:type="locator" xlink:title="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="IncreaseDecreaseInWorkingCapital" xlink:type="locator" xlink:title="IncreaseDecreaseInWorkingCapital"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities" xlink:label="DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ProceedsFromIssuingShares" xlink:type="locator" xlink:title="ProceedsFromIssuingShares"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="DividendsPaidClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:label="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="InterestPaidClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:title="IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="ProfitLossBeforeTax" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to ProfitLossBeforeTax" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to IncomeTaxesPaidClassifiedAsOperatingActivities" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="3.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForFinanceIncomeCost" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to AdjustmentsForFinanceIncomeCost" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to SettlementOfDerivativesClassifiedAsOperatingActivities" order="5.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to AdjustmentsForUnrealisedForeignExchangeLossesGains" order="6.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" order="7.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncreaseDecreaseInWorkingCapital" xlink:title="Calc: CashFlowsFromUsedInOperatingActivities to IncreaseDecreaseInWorkingCapital" order="8.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="Calc: CashFlowsFromUsedInInvestingActivities to PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="Calc: CashFlowsFromUsedInInvestingActivities to CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="2.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:title="Calc: CashFlowsFromUsedInInvestingActivities to PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:title="Calc: CashFlowsFromUsedInInvestingActivities to ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" order="4.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities" xlink:title="Calc: CashFlowsFromUsedInInvestingActivities to DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities" order="5.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssuingShares" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to ProceedsFromIssuingShares" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="DividendsPaidClassifiedAsFinancingActivities" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to DividendsPaidClassifiedAsFinancingActivities" order="2.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" order="3.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="InterestPaidClassifiedAsFinancingActivities" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to InterestPaidClassifiedAsFinancingActivities" order="4.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="5.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="Calc: CashFlowsFromUsedInFinancingActivities to RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="6.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInOperatingActivities" xlink:title="Calc: IncreaseDecreaseInCashAndCashEquivalents to CashFlowsFromUsedInOperatingActivities" order="1.0" weight="-1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInInvestingActivities" xlink:title="Calc: IncreaseDecreaseInCashAndCashEquivalents to CashFlowsFromUsedInInvestingActivities" order="2.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInFinancingActivities" xlink:title="Calc: IncreaseDecreaseInCashAndCashEquivalents to CashFlowsFromUsedInFinancingActivities" order="3.0" weight="1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://smaakraft.no/role/StatementOfChangesInEquityAbstract">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:type="locator" xlink:title="ComprehensiveIncome"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" xlink:title="ProfitLoss"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:title="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" xlink:title="Calc: ComprehensiveIncome to ProfitLoss" order="1.0" weight="1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="Calc: ComprehensiveIncome to OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="2.0" weight="1"/>
  </link:calculationLink>
</link:linkbase>